
/* for everything */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* style page / background */
body{
    min-height:100vh;
    background-image:url(background.avif);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

/* nav bar at the top of page */
.navbar{
    position: fixed;
    top: 0;
    width: 100%;
    height: 80px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 25px;
    background: rgba(110, 64, 64, 0.475);
    backdrop-filter: blur(8px);
}

/*main content styling container */
main{
    max-width: 900px;
    margin: 120px auto 40px auto;
    padding: 0 20px;
}

/*all sections styling*/
.section{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 20px;
    padding: 20px;
    margin-bottom: 20px;

    background: rgb(150,88,77);
    border: 5px black solid;
    border-radius: 20px;
    transition: transform 0.5s;
}

/* make sections hover*/
.section:hover {
    transform: translateY(-5px);
}

.content{
    flex: 1;
}

.image{
    flex: 1;
}

/*image shaping*/
.image img{
    width: 100%;
    height: auto;
    border-radius: 20px;
}

/* buttons */
.button{
    display: block;
    margin: 20px auto 0 auto;
    bottom: 25px;
    padding: 10px 20px;
    font-size: 16px;
    border-radius: 20px;
    border: none;
    background-color: rgb(231, 215, 215);
    color: rgb(0, 0, 0);
}

/* makes section 2 go to the right*/
.sectiontwo{
    flex-direction: row-reverse;
    text-align: right;
}

/* centers section 3 */
.sectionthree {
    flex-direction: column;
    text-align: center;
}
